package com.yeejoin.amos.iec104.business.service.intfc;

import com.yeejoin.amos.connect.dao.entity.ConfigVo;

import java.util.List;

public interface IConfService {
	public void add(ConfigVo vo);
	
	public void delete(Long id);
	
	public List<ConfigVo> getServerByType(String type);
	
	public void updateServer(ConfigVo vo);

	public ConfigVo getServerByPort(String port);

	public ConfigVo getServerByTypeAndServiceId(String string, String serverId);
	
	public String getMaxNo();

	public ConfigVo getServerByServiceId(String serviceId);

	public ConfigVo getServerById(Long id);

	public ConfigVo findById(Long id);

	public ConfigVo getServerByChannleNoId(String channelNo);
}
